#ifndef __GX11_H
#define __GX11_H

#include <X11/Xlib.h>
#include <X11/extensions/XTest.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xatom.h> 

char * gx11_proc_clipboard (Display *display, Window mainwin, char *cb_src, int cb_src_len);
void gx11_proc_selection_send (char *clipboard, int clipboard_len, XSelectionRequestEvent sre);
char * gx11_proc_selection_notify (Display *display, Window window, int *cb_len);
void gx11_pointer_pos_get (Display *display, int *ret_x, int *ret_y);
int gx11_pointer_state_get (Display *display);

#endif /* __GX11_H */

